
/*
 * reap.h
 *	header file for reap utility
 */

/* set MAXFILENAME to the maximum number of characters in a filename for
 * your system.  Typically 14 or infinity, where infinity equals
 * 256 characters. :-)
 */
#define MAXFILENAME	14

/* set NEWSDIR to the directory containing news on your system.
 * Very commonly /usr/spool/news
 */
#define NEWSDIR		"/usr/spool/news"

/* set SCRIPT to the path of the default function script file
 * Usually this is /usr/lib/news/reaplist
 */
#define SCRIPT		"/usr/lib/news/reaplist"




#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <malloc.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <ustat.h>
#include <dirent.h>

#define MAXLINE		1024		/* max len of line in script	*/
#define SECINDAY	(3600 * 24)	/* seconds in a day		*/

/* structure for linked lists of included and excluded file specs */
struct filspec {
	char		*name;
	int		recurse;
	struct filspec	*next;
};

extern struct filspec
		*incl,
		*excl
;
extern char
		*progname,
		*scriptfile,
		*newsdir
;
extern int
		verbose,
		dryrun,
		optind
;
extern char	*optarg;
extern double	atof();
extern long	freeblox();
extern time_t
		age,
		now
;
